| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
uhd::usb_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::usb_error:

## Public Member Functions
| usb_error (int code, const std::string &what)
unsigned | code (void) const override
usb_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::runtime_error
| runtime_error (const std::string &what)
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Public Attributes
int | _code

## Detailed Description

Raised when an error occurs during a USB transaction.

## Constructor & Destructor Documentation

## ◆ usb_error()

uhd::usb_error::usb_error | ( | int | code,
|  | const std::string & | what )

## Member Function Documentation

## ◆ code()

unsigned uhd::usb_error::code | ( | void |  | ) | const
| inline override virtual

Reimplemented from uhd::runtime_error.

## ◆ dynamic_clone()

usb_error * uhd::usb_error::dynamic_clone | ( | void |  | ) | const
| override virtual

Reimplemented from uhd::runtime_error.

## ◆ dynamic_throw()

void uhd::usb_error::dynamic_throw | ( | void |  | ) | const
| override virtual

Reimplemented from uhd::runtime_error.

## Member Data Documentation

## ◆ _code

int uhd::usb_error::_code

The documentation for this struct was generated from the following file:

- exception.hpp